<html> 
<head>
    <title>Helene - Syntax Highlighting Editor in Javascript</title>
    <style>
      body {
      margin: 10px;
      padding: 0px;
      background-color: white;
      font-family: Verdana, helvetica, sans-serif;
      color: black;
      font:menu;
      }
      h3 {
      color: darkorange;
      }
      a {
      color: darkorange;
      text-decoration: none;
      }
      input, select{
      font:menu;
      }
    </style>
  </head>
</head>
  <body onload="init();">
    <h3>Testes - Syntax Highlighting Editor in Javascript</h3>

    <?php 
    echo 2+3;
echo "<h2>teste</h2>"; 

$pMyFile = trim($_POST['myfile']); 

$pMyFile = $pMyFile;

echo "<p>Mostra Resultados</p>";
echo $pMyFile;
echo "<br><hr><br>";

echo "<script type=\"text/javascript\">";
echo "function init(){editor.setContents(\"$pMyFile\");}\n";
echo "</script>";

?>


    <form action="index01.php" method="post">
      <input type="hidden" name="myfile">
      <input type="button" name="clear" value="Clear" onClick="editor.setContents('');">
      <input type="button" name="save" value="Save to Textarea" onClick="myfile.value = editor.getContents();">
      <input type="button" name="load" value="Load from Textarea" onClick="editor.setContents(myfile.value);">
      keybinding: <select name="keybinding" onChange="editor.setKeyBinding(keybinding.options[keybinding.selectedIndex].value); editor.inputLineEntry.focus();">
	<option value="default" selected>Default</option>
	<option value="joe">Joe</option>
      </select>
autoindent: <select name="autoindent" onChange="editor.setAutoIndent(autoindent.options[autoindent.selectedIndex].value); editor.inputLineEntry.focus();">
<option value="on" selected>On</option>
<option value="off">Off</option>
</select>
<br>

<input type="submit" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(re)evaluate the code&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;">
</form>
<iframe name="editor" src="editor.html" style="width: 50%; height: 70%;"></iframe>

</body>
</html>
